[Numpy-discussion] What protocol to use now?

Pauli Virtanen pav@iki...
Tue Dec 8 16:29:31 CST 2009


ti, 2009-12-08 kello 14:23 -0600, Robert Kern kirjoitti:
[clip]
> I think the wording is overly strong. I don't think that we actually
> decided to deprecate the interface. PEP 3118 is not yet implemented by
> numpy, and the PEP 3118 API won't be available to Python's <2.6
> (Cython's workarounds notwithstanding).
> 
> Pauli, did we discuss this before you wrote that warning and I'm just
> not remembering it?

I think this came about as a result of some discussion. This, I believe:
http://thread.gmane.org/gmane.comp.python.numeric.general/27413

Yes, the warning is strongly worded -- especially as the support
for PEP 3118 will not arrive before Numpy 1.5.0, and I don't see any
reason why we would be removing support for the array interface.

Perhaps Py3 is a different ball game, but even there, there is no real
reason to remove the support, so I don't think we should do it.

-- 
Pauli Virtanen





More information about the NumPy-Discussion mailing list